summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2019-02-12 15:51:37 +0100
committerJeroen Roovers <jer@gentoo.org>2019-02-12 15:52:47 +0100
commite4fde55b40e3cf7cb93d846f5c88fca26c2b145b (patch)
treeaf12ac26877fc4d31c9906cea83f4136e94069e9 /www-client
parentnet-p2p/xmr-stak: 2.8.2 version bump (diff)
downloadgentoo-e4fde55b40e3cf7cb93d846f5c88fca26c2b145b.tar.gz
gentoo-e4fde55b40e3cf7cb93d846f5c88fca26c2b145b.tar.bz2
gentoo-e4fde55b40e3cf7cb93d846f5c88fca26c2b145b.zip
www-client/opera: Version 58.0.3135.65
Package-Manager: Portage-2.3.59, Repoman-2.3.12 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
Diffstat (limited to 'www-client')
-rw-r--r--www-client/opera/Manifest1
-rw-r--r--www-client/opera/opera-58.0.3135.65.ebuild112
2 files changed, 113 insertions, 0 deletions
diff --git a/www-client/opera/Manifest b/www-client/opera/Manifest
index ee5fb6fc5fb..d526de6f7c7 100644
--- a/www-client/opera/Manifest
+++ b/www-client/opera/Manifest
@@ -4,3 +4,4 @@ DIST opera-12.16-1860.i386.linux.tar.xz 13154668 BLAKE2B 7f9ef54f44bc143c13173bc
DIST opera-12.16-1860.x86_64.linux.tar.xz 14018800 BLAKE2B e0cb727ea79868d1c3c692d445fc8949f554c3bbe2bf3c9f222885891458cab7af1a29096cd3caf6936e83068841dda4bff5b8a17eb55a86bebe39ce2b270183 SHA512 c1289f352ea5fc8133b105771f48fdc56ccd770920330b1a0ed939ff909abc68081447673572eabeb1aae6db5194b6ab35c93afad78a91d8f7a9a0f91e81ef8b
DIST opera-stable_58.0.3135.47_amd64.deb 70369746 BLAKE2B 64f49d912bc97d1ced9fc085d0ca7c4a27133f060e287269348e51771bb612fe11f3441250307893c5a80854356694a937e7330abbef5006b60e741f334d2dfd SHA512 e4d52eb82eb47ec066182c76de839e87feccf8edffc55eb1515fe02ed39b86dd682e84bb49976bff934d876be4c607a2e430aedefe5eb64596ba028ae20d07ac
DIST opera-stable_58.0.3135.53_amd64.deb 70878962 BLAKE2B 52ce54fb2670344b40be51de9e5c0ff69b062c7284b7a72d39b23e266bdf733bdcfaebb88dba187c118163f9b43bc15b17949ef7ea02fc78006f4757be4b2e16 SHA512 a8febc4071bd7ac51ce0778bf3f178b4054f182c1a77c1eafcf7645bf3e3add8e9665b217cd66a3783255b77c07928880bbb3e25cb35c217b6504610ed5f9fb9
+DIST opera-stable_58.0.3135.65_amd64.deb 70385150 BLAKE2B 58519df4766d09cbaf17b8c0ea456331de2ace064a3bb8474753e924e841deb3e4de426550860227deba143b62e15906b0f8f4e58d69e4fa8be9fb5162e84408 SHA512 26eea0e9c5ffa2f6f169bd39be41b86a678d8b3b8c9f085fd27e305ba385205b8b623b22be5a4dca5508fed852d89335b40b523b35ae09033969ac02262f08ca
diff --git a/www-client/opera/opera-58.0.3135.65.ebuild b/www-client/opera/opera-58.0.3135.65.ebuild
new file mode 100644
index 00000000000..28c78dd8a55
--- /dev/null
+++ b/www-client/opera/opera-58.0.3135.65.ebuild
@@ -0,0 +1,112 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+CHROMIUM_LANGS="
+ be bg bn ca cs da de el en-GB es-419 es fil fi fr-CA fr hi hr hu id it ja
+ ko lt lv ms nb nl pl pt-BR pt-PT ro ru sk sr sv sw ta te th tr uk vi zh-CN
+ zh-TW
+"
+inherit chromium-2 gnome2-utils multilib unpacker xdg-utils
+
+DESCRIPTION="A fast and secure web browser"
+HOMEPAGE="https://www.opera.com/"
+LICENSE="OPERA-2014"
+SLOT="0"
+SRC_URI_BASE="
+ https://download1.operacdn.com/pub/
+ https://download2.operacdn.com/pub/
+ https://download3.operacdn.com/pub/
+ https://download4.operacdn.com/pub/
+"
+for uri in ${SRC_URI_BASE}; do
+SRC_URI+="
+ "${uri}${PN}/desktop/${PV}/linux/${PN}-stable_${PV}_amd64.deb"
+"
+done
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ gnome-base/gconf:2
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/freetype
+ net-misc/curl
+ net-print/cups
+ sys-apps/dbus
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/libXScrnSaver
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/libnotify
+ x11-libs/pango[X]
+"
+
+QA_PREBUILT="*"
+S=${WORKDIR}
+OPERA_HOME="usr/$(get_libdir)/${PN}"
+
+src_unpack() {
+ unpack_deb ${A}
+}
+
+src_prepare() {
+ epatch_user
+
+ case ${ARCH} in
+ amd64)
+ mv usr/lib/x86_64-linux-gnu usr/$(get_libdir) || die
+ rm -r usr/lib || die
+ ;;
+ esac
+
+ rm usr/bin/${PN} || die
+
+ rm usr/share/doc/${PN}-stable/copyright || die
+ mv usr/share/doc/${PN}-stable usr/share/doc/${PF} || die
+ gunzip usr/share/doc/${PF}/changelog.gz || die
+
+ pushd "${OPERA_HOME}/localization" > /dev/null || die
+ chromium_remove_language_paks
+ popd > /dev/null || die
+
+ sed -i \
+ -e 's|^TargetEnvironment|X-&|g' \
+ usr/share/applications/${PN}.desktop || die
+}
+
+src_install() {
+ mv * "${D}" || die
+ dosym ../$(get_libdir)/${PN}/${PN} /usr/bin/${PN}
+ fperms 4711 /usr/$(get_libdir)/${PN}/opera_sandbox
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}